# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "ircv3_tags"
version = "2.1.1"
authors = ["m3id"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Zero-copy parser for IRCv3 message tags"
documentation = "https://docs.rs/ircv3_tags"
readme = "README.md"
keywords = [
    "ircv3",
    "twitch",
    "irc",
    "parser",
    "chat",
]
categories = [
    "parser-implementations",
    "network-programming",
]
license = "MIT"
repository = "https://github.com/m3idnotfree/ircv3_tags"

[lib]
name = "ircv3_tags"
path = "src/lib.rs"

[[test]]
name = "host"
path = "tests/host.rs"

[[test]]
name = "ircv3_web_example"
path = "tests/ircv3_web_example.rs"

[[test]]
name = "tags"
path = "tests/tags.rs"

[dependencies.nom]
version = "8.0.0"
